<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="channel">
    <html><head>
        <title><xsl:value-of select="title"/></title>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
<style type="text/css">
	td,p,li,input,select,div,span {font-size:12px;}
	table,td,img,div,span{border: none;margin: 0px 0px 0px 0px;padding: 0px 0px 0px 0px;}

	.f10 {font-size: 10px;}
	.f12 {font-size: 12px;}
	.f14 {font-size: 14px;}
	.f16 {font-size: 16px;}

	.lh17 {line-height:17px;}
	.lh19 {line-height:19px;}

	A:link {color:#00f;}
	A:visited {color:#800080;}
	A:active {color:#f00;}
	A:hover {color:#f00;}

	.tree a:link {text-decoration: underline;color:#33358A;font-weight: bold;}
	.tree a:visited {text-decoration: underline;color:#33358A;font-weight: normal;}
	.tree a:active,.tree a:hover {text-decoration: none;color:#0066CB;}
	.tree {color:#464646;width:96%;text-align:left;}
	.tree #channel{font-size:16px;font-weight:bold;color:#000;text-align:center;padding:5px 0 15px 0;border-bottom:1px dotted #C0C0C0;margin-bottom:10px;}
	.tree #block{margin-bottom:10px;clear:both;}
	.tree #title{font-weight:bold;float:left;font-size:14px;}
	.tree #titleread{text-decoration: underline;color:#33358A;font-weight: normal;}
	.tree #author{color:#666;}
	.tree #time{color:#666;float:left;margin-left:5px;}
	.tree #description{line-height:19px;}
	.tree #readall{text-align:right;font-weight:bold;color:#33358A;}
	.tree #readall a{font-weight: bold;}

	.blkDes{border:1px solid #E3E3E3;background-color:#fff;margin:6px 4px 4px 20px;padding:5px 5px 5px 5px;display:none;clear:both;}
	.blkExpand{overflow:hidden;font-weight:normal;cursor:pointer;margin-right:3px;margin-bottom:2px;color:#34368B;background-color:#fff;}
</style>
<script language='javascript' type='text/javascript'>
<xsl:comment>
    <![CDATA[
var count = 2;
function iniClass(){
	if(count<2)
		Expand(0);
}

function GetObj(objName){
	if(document.getElementById){
		return eval('document.getElementById("' + objName + '")');
	}else{
		return eval('document.all.' + objName);
	}
}
function Expand(itemNo){
	if(GetObj('i'+itemNo).style.display != 'block')
	{
		GetObj('i'+itemNo).style.display = 'block';
		GetObj('t'+itemNo).innerText='-';
	}else
	{
		GetObj('i'+itemNo).style.display = 'none';
		GetObj('t'+itemNo).innerText='+';
	}
}
function NoError()
{
    return true;
}
window.onerror = NoError;
]]>
	</xsl:comment>
</script>
</head>
 
 <body bgcolor="#EFF2F7" topmargin="5" marginheight="5" leftmargin="5" marginwidth="5" onload="iniClass();">
<center>
<div id='list' class='tree'>
	<div id='channel'><a href='{xmlUrl}'><xsl:value-of select="title"/></a></div>
	
        <xsl:for-each select="item">      
        <xsl:variable name="pos" select="position()"/>
        
    <div id='block'>
		<div id='title'>
			<span id="t{$pos}" onclick="Expand('{$pos}');" class="blkExpand">+</span>
			<xsl:if test="isRead!='true' and isViewed!='true'">
				<a href="{link}" target="_blank"><xsl:value-of select="title"/></a>
			</xsl:if>
			<xsl:if test="isRead='true' or isViewed='true'">
				<a href="{link}" target="_blank" id='titleread'><xsl:value-of select="title"/></a>
			</xsl:if>
		</div>
		<div id='time'>
			<xsl:if test="pubDate!=''"><xsl:value-of select="pubDate"/></xsl:if>
        	<xsl:if test="pubDate=''"><xsl:value-of select="fDate"/></xsl:if>
        </div>
		<div id="i{$pos}" class='blkDes'>
			<div id='author'></div>
			<div id='description'><xsl:value-of select="description" disable-output-escaping="yes"/></div>
		</div>
	</div>
        
        </xsl:for-each>
        </div>
        </center>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>